unit About;

interface

uses
	Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
	Dialogs, StdCtrls;

const
	Version: string = ' v1.1';

type
     TAboutForm = class (TForm)
          Label1: TLabel;
          Label2: TLabel;
    Button1: TButton;
          procedure Label2Click (Sender: TObject);
          procedure FormKeyPress (Sender: TObject; var Key: Char);
     private
          { Private declarations }
     public
          { Public declarations }
     end;

function ExecuteFile (const FileName: string;
     const Params: string = '';
     const DefaultDir: string = '';
     const ShowCmd: Integer = SW_SHOWNORMAL): THandle;

procedure ShowAbout;

implementation

{$R *.dfm}
uses
     ShellApi;

function ExecuteFile (const FileName: string;
     const Params: string = '';
     const DefaultDir: string = '';
     const ShowCmd: Integer = SW_SHOWNORMAL): THandle;
begin
     Result := ShellExecute (Application.MainForm.Handle, nil,
          PChar (FileName), PChar (Params), PChar (DefaultDir),
          ShowCmd);
end;

procedure TAboutForm.Label2Click (Sender: TObject);
begin
	ExecuteFile ('http://www.addictivesoftware.com');
end;

procedure ShowAbout;
var
	Dlg: TAboutForm;
begin
	Dlg := TAboutForm.Create (Application);
	try
		Dlg.Caption := Dlg.Caption + Version;
		Dlg.ShowModal;
	finally
		Dlg.Free
	end;
end;

procedure TAboutForm.FormKeyPress (Sender: TObject; var Key: Char);
begin
	if Key = #27 then
		Close;
end;

end.

